# StringFunctions

### Introduction

StringFunctions is a static utility class that contains methods for working with strings which solve common tasks when working on games in FlatRedBall. StringFunctions is static, so you don't have to instantiate anything to use it.

### Members

* [FlatRedBall.Utilities.StringFunctions.MakeNameUnique](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php)

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/forum.md) for a rapid response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/utilities/stringfunctions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
